[Solved] I can't import some libraries properly

Support for the latest build of L2J Server, get help here with installations, upgrades, problems.
Do not post bugs reports here, use viewforum.php?f=77 instead.
There is no support for other server builds than the official provided by l2jserver.com
Forum rules
READ NOW: L2j Forums Rules of Conduct
Post Reply
Menoh
Posts: 19
Joined: Wed Oct 12, 2016 10:35 pm

[Solved] I can't import some libraries properly

Post by Menoh » Tue Nov 01, 2016 11:44 pm

Hello, it's the first time I try to get the L2J server version of High Five in my Eclipse and I'm a bit lost :crazy:

I used this link to get the files : https://bitbucket.org/l2jserver/l2j_ser ... 8aba59.zip (in https://bitbucket.org/l2jserver/l2j_server/downloads)
and : https://bitbucket.org/l2jserver/l2j_dat ... 72cdb8.zip (in https://bitbucket.org/l2jserver/l2j_datapack/downloads).

At this point, did I get the correct files ?

I imported l2j_server in a new project within Eclipse and three of my folders have an error's red cross : src/main/java, src/test/java, and src.
Referenced Libraries, JRE System Library, dist and gradle are ok.

- In src/test/java and src/main/java errors mostly come from libraries that Eclipse can't import, such as javax.mail.*, org.mockito.*, org.testng.*, org.python.util.*, org.slf4j.*, etc..

I searched online and found these pages :
http://stackoverflow.com/questions/7322 ... constructs
and
http://stackoverflow.com/questions/4322 ... e-resolved
but it doesn't help in my case.

- In src I have two folders : main and test and I can't open any of them. They contain the packages of src/main/java and src/test/java. Why do I have these two unopenable folders if I already have the content in both packages' folders ?

Can someone help me to get the project working ?
Last edited by Menoh on Sat Nov 05, 2016 12:59 pm, edited 1 time in total.

Menoh
Posts: 19
Joined: Wed Oct 12, 2016 10:35 pm

Re: I can't import some libraries properly

Post by Menoh » Wed Nov 02, 2016 12:13 am

I can't reach the wiki website, like this page : http://www.l2jserver.com/wiki/index.php/Apply_a_Patch
Is that normal ? Is there another way to read the wiki ?
I tried this link : https://bitbucket.org/account/signin/?n ... /wiki/Home

But I haven't created an account yet, it seems to be necessary to continue toward this page.

Edit : I just created an account but haven't the access to the wiki :s

User avatar
Zoey76
L2j Inner Circle
L2j Inner Circle
Posts: 7002
Joined: Tue Aug 11, 2009 3:36 am

Re: I can't import some libraries properly

Post by Zoey76 » Wed Nov 02, 2016 1:45 am

I have published a very basic wiki, we lost oir previous one.

https://bitbucket.org/l2jserver/l2j_server/wiki/Home

I'll be updating it with more stuff along this week.
Using Eclipse 4.21 - OpenJDK17 - MariaDB 10.6.3 - L2J Server 2.6.3.0

JOIN OUR DISCORD

Menoh
Posts: 19
Joined: Wed Oct 12, 2016 10:35 pm

Re: I can't import some libraries properly

Post by Menoh » Wed Nov 02, 2016 9:15 am

Thank you, I appreciate ^^
I'll probably spend time learning about the server and how it works, and will try to develop stuff with it. I basically have in mind custom work to try but is there still new retail-like things to do for every servers ?

User avatar
Zoey76
L2j Inner Circle
L2j Inner Circle
Posts: 7002
Joined: Tue Aug 11, 2009 3:36 am

Re: I can't import some libraries properly

Post by Zoey76 » Wed Nov 02, 2016 6:50 pm

Menoh wrote:Thank you, I appreciate ^^
I'll probably spend time learning about the server and how it works, and will try to develop stuff with it. I basically have in mind custom work to try but is there still new retail-like things to do for every servers ?
Exactly, we always need a hand implementing and correcting things to improve the server.
Using Eclipse 4.21 - OpenJDK17 - MariaDB 10.6.3 - L2J Server 2.6.3.0

JOIN OUR DISCORD

Sacrifice
Advanced User
Advanced User
Posts: 1025
Joined: Thu Aug 14, 2014 6:31 am
Location: Spain

Re: I can't import some libraries properly

Post by Sacrifice » Wed Nov 02, 2016 10:58 pm

Zoey76 wrote:
Menoh wrote:Thank you, I appreciate ^^
I'll probably spend time learning about the server and how it works, and will try to develop stuff with it. I basically have in mind custom work to try but is there still new retail-like things to do for every servers ?
Exactly, we always need a hand implementing and correcting things to improve the server.
Yes!... thats true.
Retail GameMaster and Developer using Eclipse for Java Developers (64 bits), OpenJDK14 (64 bits), MySQL 8.0+ (64 bits).

Menoh
Posts: 19
Joined: Wed Oct 12, 2016 10:35 pm

Re: I can't import some libraries properly

Post by Menoh » Wed Nov 02, 2016 11:15 pm

What parts of the project need a hand specifically ? It's pretty vast :oops:
I'm not a pro with Java but I hope I know the basics, I'm still learning and I need to practise.

By the way I read the guides you linked upper, Java ( 1.8 ) is installed properly, Eclipse too (Eclipse Juno as IDE for Java EE Developers and Eclipse Neon as IDE for Java Developers, without EE), and I still get my red crosses's errors on both because it can't find the libraries :s

Menoh
Posts: 19
Joined: Wed Oct 12, 2016 10:35 pm

Re: I can't import some libraries properly

Post by Menoh » Fri Nov 04, 2016 12:46 am

How is gradle working ?
The dependencies block in my build.gradle looks like this :

Code: Select all

dependencies {
	compile 'com.mchange:c3p0:0.9.5.2'
	compile 'com.jolbox:bonecp:0.8.0.RELEASE'
	compile 'com.sun.mail:javax.mail:1.5.5'
	compile 'com.zaxxer:HikariCP:2.4.7'
	compile 'mysql:mysql-connector-java:6.0.3'
	compile 'org.bitlet:weupnp:0.1.4'
	compile 'org.eclipse.jdt.core.compiler:ecj:4.4.2'
	compile 'com.google.guava:guava:19.0'
	compile 'org.python:jython:2.2.1'
	compile 'org.slf4j:slf4j-api:1.7.21'
	compile 'org.slf4j:slf4j-jdk14:1.7.21'
	compile fileTree(dir: 'dist/libs', include: '*.jar')
	testCompile 'org.testng:testng:6.9.12'
	testCompile 'org.mockito:mockito-all:2.0.2-beta'
	testCompile 'com.beust:jcommander:1.48'
}
But the project can't import some libraries and I'm searching and adding manually one by one all the missing .jar to the project build path :(

I have no more errors on the project.

ASI828277
Posts: 6
Joined: Thu Mar 10, 2022 2:32 pm

Re: [Solved] I can't import some libraries properly

Post by ASI828277 » Thu Mar 10, 2022 2:42 pm

Menoh wrote:
Tue Nov 01, 2016 11:44 pm
Hello, it's the first time I try to get the L2J server version of High Five in my Eclipse and I'm a bit lost :crazy:

I used this link to get the files : https://bitbucket.org/l2jserver/l2j_ser ... 8aba59.zip (in https://bitbucket.org/l2jserver/l2j_server/downloads)
and : https://bitbucket.org/l2jserver/l2j_dat ... 72cdb8.zip (in https://bitbucket.org/l2jserver/l2j_datapack/downloads).

At this point, did I get the correct files ?

I imported l2j_server in a new project within Eclipse and three of my folders have an error's red cross : src/main/java, src/test/java, and src.
Referenced Libraries, JRE System Library, dist and gradle are ok.

- In src/test/java and src/main/java errors mostly come from libraries that Eclipse can't import, such as javax.mail.*, org.mockito.*, org.testng.*, org.python.util.*, org.slf4j.*, etc..

I searched online and found these pages :
http://stackoverflow.com/questions/7322 ... constructs
and
http://stackoverflow.com/questions/4322 ... e-resolved
but it doesn't help in my case.

- In src I have two folders : main and test and I can't open any of them. They contain the packages of src/main/java and src/test/java. Why do I have these two unopenable folders if I already have the content in both packages' folders ?

Can someone help me to get the project working ?
Great

Post Reply